Bug 195393 - Review Request: pyxmms
Review Request: pyxmms
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 195394
  Show dependency treegraph
 
Reported: 2006-06-14 19:06 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 04:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file (1.54 KB, application/x-extension-spec)
2006-06-20 02:13 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Paul F. Johnson 2006-06-14 19:06:33 EDT
Spec URL: http://www.knox.net.nz/~nodoid/pyxmms.spec
SRPM URL: http://www.knox.net.nz/~nodoid/pyxmms-2.06-1.src.rpm
Description: 

pyxmms is a set of python bindings for xmms
Comment 1 Kevin Fenzi 2006-06-19 19:35:54 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
4c49fe60326874e90cc0bf75a10f63d7  pyxmms-2.06.tar.bz2
4c49fe60326874e90cc0bf75a10f63d7  pyxmms-2.06.tar.bz2.1
OK - Package compiles and builds on at least one arch.
n/a - Package needs ExcludeArch
OK - BuildRequires correct
n/a - Spec handles locales/find_lang
n/a - Spec has needed ldconfig in post and postun
n/a - Package is relocatable and has a reason to be.
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
n/a - -doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.
n/a - Headers/static libs in -devel subpackage.
n/a - .pc files in -devel subpackage.
n/a - .so files in -devel subpackage.
n/a - -devel package Requires: %{name} = %{version}-%{release}
n/a - .la files are removed.
n/a - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
OK - No rpmlint output.

Issues:

1. %file should probibly have:
%ghost %{python_sitelib}/xmms/*.pyo
per the python packaging page.

Fix that up and this package will be APPROVED.
Comment 2 Paul F. Johnson 2006-06-20 02:13:22 EDT
Created attachment 131174 [details]
spec file
Comment 3 Kevin Fenzi 2006-06-20 02:43:57 EDT
looks good to me. APPROVED. 
Remember to close this as NEXTRELEASE once it's imported and built. 
Comment 4 Paul Howarth 2006-06-20 03:35:58 EDT
A couple of points:

1. Simply adding "%ghost /%{python_sitelib}/xmms/*.pyo" is not sufficient since
the .pyo files are already included in the package courtesy of the previous line
"/%{python_sitearch}/xmms/". The standard idiom for this is:

%dir %{python_sitearch}/xmms/
%{python_sitearch}/xmms/*.py
%{python_sitearch}/xmms/*.pyc
%ghost %{python_sitearch}/xmms/*.pyo

In this case it will also be necessary to have:

%{python_sitearch}/xmms/*.so

Note that no leading slash is necessary for %{python_sitearch} as the macro
expansion includes one already.

2. The version of the package imported into cvs does not have the spec file from
Comment #2. Please be more careful about what you import into cvs (and build?).
Comment 5 Paul F. Johnson 2006-06-20 04:27:28 EDT
Comment #2 was a test spec - I should have pointed that out. The one in cvs is
the correct one.

I'll amend the spec as suggested in #4, test and upload tonight.

Note You need to log in before you can comment on or make changes to this bug.